
void _efl_text_formatter_attribute_insert(const Efl_Text_Cursor_Object *start, const Efl_Text_Cursor_Object *end, const char *format);

EVAS_API EVAS_API_WEAK void efl_text_formatter_attribute_insert(const Efl_Text_Cursor_Object *start, const Efl_Text_Cursor_Object *end, const char *format)
{
   const Efl_Class *klass = efl_text_formatter_class_get();
   EINA_SAFETY_ON_NULL_RETURN(klass);
   _efl_text_formatter_attribute_insert(start, end, format);
}

unsigned int _efl_text_formatter_attribute_clear(const Efl_Text_Cursor_Object *start, const Efl_Text_Cursor_Object *end);

EVAS_API EVAS_API_WEAK unsigned int efl_text_formatter_attribute_clear(const Efl_Text_Cursor_Object *start, const Efl_Text_Cursor_Object *end)
{
   const Efl_Class *klass = efl_text_formatter_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,0);
   return _efl_text_formatter_attribute_clear(start, end);
}

static Eina_Bool
_efl_text_formatter_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifdef EFL_TEXT_FORMATTER_EXTRA_OPS
   EFL_OPS_DEFINE(ops, EFL_TEXT_FORMATTER_EXTRA_OPS);
   opsp = &ops;
#endif

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_text_formatter_class_desc = {
   EO_VERSION,
   "Efl.Text_Formatter",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Text_Formatter_Data),
   _efl_text_formatter_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_text_formatter_class_get, &_efl_text_formatter_class_desc, EFL_OBJECT_CLASS, NULL);
